#version 450

in vec2 uv;

out float color;
  
uniform sampler2D ambient_occlusion;

void main() {
    vec2 texelSize = 1.0 / vec2(textureSize(ambient_occlusion, 0));
    float result = 0.0;
    for (int x = -2; x < 2; ++x) 
    {
        for (int y = -2; y < 2; ++y) 
        {
            vec2 offset = vec2(float(x), float(y)) * texelSize;
            result += texture(ambient_occlusion, uv + offset).r;
        }
    }
    color = result / (4.0 * 4.0);
}  